Skip to main content
GET
/
v1
/
consumer
/
subscriptions
/
{subscription_id}
/
invoices
List Invoices
curl --request GET \
  --url https://api.withflex.com/v1/consumer/subscriptions/{subscription_id}/invoices \
  --header 'Authorization: Bearer <token>'
{
  "invoices": [
    {
      "invoice_id": "obj_01EXAMPLE00000000000000000",
      "total": 0,
      "amount_due": 0,
      "amount_paid": 0,
      "charge": "string",
      "period_end": "string",
      "period_start": "string",
      "status": "draft",
      "collection_method": "charge_automatically",
      "test_mode": false,
      "metadata": {},
      "created_at": "2024-01-01T00:00:00Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.withflex.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Path Parameters

subscription_id
string
required

Query Parameters

limit
integer<int32> | null
invoice_ids
string[] | null

Filter by invoice IDs (batch lookups).

starting_after
string | null

Cursor for forward pagination - returns invoices after this ID

ending_before
string | null

Cursor for backward pagination - returns invoices before this ID

expand
string

Represents a list as a comma-separated string.

Example:

""

Response

Success

invoices
object[]
required